<?php
use \common\libs\MyLib;
?>
<script type="text/javascript" language="javascript" src="/js/jquery-1.8.3.js"></script>
<script type="text/javascript" language="javascript" src="/js/ajax.js"></script>
<script type="text/javascript" language="javascript" src="/js/func.js"></script>
<table width="98%" border="0" align="center" cellpadding="3" cellspacing="1" class="table">
    <form id="theFrm">
        <input type="hidden" name="id" value="<?=$info->id?>">
        <input type="hidden" name="company_id" value="<?=$info->company_id?>">
        <tr>
            <td width="100" height="25" class="td_bg">所属公司</td>
            <td height="25" class="td_bg"><?=$company_info->name?></td>
        </tr>
        <tr>
            <td width="100" height="25" class="td_bg">名称</td>
            <td height="25" class="td_bg"><input  name="name" type="text" id="name" value="<?=$info->name?>" style="width:600px;"/></td>
        </tr>
        <tr>
            <td width="100" height="25" class="td_bg">上级</td>
            <td height="25" class="td_bg">
                <select name="parent_id">
                    <option value="0">----无上级----</option>
                    <?php
                    foreach($group_items as $item) {
                        echo '<option value="'.$item->id.'"';
                        if($item->id == $info->parent_id)
                            echo ' selected ';
                        echo '>'.$item->name.'</option>';
                    }
                    ?>
                </select>
            </td>
        </tr>
    </form>
    <tr>
        <td height="22" colspan="2" align="center" class="td_bg">
            <input id="submit-btn" type=button class="ACT_btn" name=Submit1 value=" 提交 "/>
            &nbsp;&nbsp;
            <input id="back-btn" type="button" class="ACT_btn" name="Submit2" value=" 返回 ">
        </td>
    </tr>
</table>
<script type="text/javascript" language="javascript">
    $(function () {
        //提交按钮
        $("#submit-btn").click(function(){
            if(confirm('是否确认提交?')) {
                var params = $("#theFrm").serialize();
                $.post('/company/dp-save',params,function(obj){
                    if(obj.success) {
                        $('#back-btn').click();
                    } else {
                        alert(obj.msg);
                    }
                },'json');
            }
        });

        //返回按钮
        $('#back-btn').click(function(){
            window.location.href='/company/dp-index?company_id=<?=$info->company_id?>';
        });
    })
</script>
